﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page  Title="" Language="C#" MasterPageFile="~/ProfileMasterPage.master" AutoEventWireup="true" CodeFile="UserProfileIdentity.aspx.cs" Inherits="PunBB.UserProfileIdentity" %>

<asp:Content ID="ContentPlaceHolder" ContentPlaceHolderID="PageContent" Runat="Server">
        <div class="req-warn ct-box error-box">
            <asp:Literal ID="ErrorBox" runat="server" Text="" />
        </div>
		<div class="frm-form">
		<fieldset class="frm-group">
			<legend class="group-legend"><strong>Required information</strong></legend>
			<div class="sf-set">
				<div class="sf-box text required">
					<label>
					    <span>E-mail <em>(Required)</em></span> 
					    <small><asp:Literal ID="EmailMessage" runat="server" Text="<%$Resources: ProfileResource, EmailMessage%>" /></small>
					</label>
					<br />
					<span class="fld-input">
					    <asp:TextBox ID="Email" runat="server" MaxLength="80"/>
					
					    <asp:RequiredFieldValidator ID="EmailRequired" runat="server" 
                        ControlToValidate="Email" ErrorMessage="*" 
                        ValidationGroup="IdentityValidation" />
                       
                        <asp:RegularExpressionValidator ID="EmailRegExp" runat="server" 
                        ControlToValidate="Email" Display="Dynamic" 
                        ErrorMessage="<%$Resources: ProfileResource, InvalidEmail%>" 
                        ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*" 
                        ValidationGroup="IdentityValidation" />
                    </span>
                    
				</div>
			</div>
		</fieldset>
		<fieldset class="frm-group">
			<div class="sf-set">
				<div class="sf-box text">
					<label>
					    <span>Time Zone</span>
					    <small><asp:Literal ID="Literal1" runat="server" Text="Must be set for correct time display." /></small>
					</label>
					<br />
					<span class="fld-input"><asp:DropDownList ID="TimeZone" runat="server" Width="145px">
                            <asp:ListItem Value="-12">(UTC-12:00) International Date Line West</asp:ListItem>
                            <asp:ListItem Value="-11">(UTC-11:00) Niue, Samoa</asp:ListItem>
                            <asp:ListItem Value="-10">(UTC-10:00) Hawaii-Aleutian, Cook Island</asp:ListItem>
                            <asp:ListItem Value="-9.5">(UTC-09:30) Marquesas Islands</asp:ListItem>
                            <asp:ListItem Value="-9">(UTC-09:00) Alaska, Gambier Island</asp:ListItem>
                            <asp:ListItem Value="-8">(UTC-08:00) Pacific</asp:ListItem>
                            <asp:ListItem Value="-7">(UTC-07:00) Mountain</asp:ListItem>
                            <asp:ListItem Value="-6">(UTC-06:00) Central</asp:ListItem>
                            <asp:ListItem Value="-5">(UTC-05:00) Eastern</asp:ListItem>
                            <asp:ListItem Value="-4">(UTC-04:00) Atlantic</asp:ListItem>
                            <asp:ListItem Value="-3.5">(UTC-03:30) Newfoundland</asp:ListItem>
                            <asp:ListItem Value="-3">(UTC-03:00) Amazon, Central Greenland</asp:ListItem>
                            <asp:ListItem Value="-2">(UTC-02:00) Mid-Atlantic</asp:ListItem>
                            <asp:ListItem Value="-1">(UTC-01:00) Azores, Cape Verde, Eastern Greenland</asp:ListItem>
                            <asp:ListItem Value="0">(UTC) Western European, Greenwich</asp:ListItem>
                            <asp:ListItem Value="1">(UTC+01:00) Central European, West African</asp:ListItem>
                            <asp:ListItem Value="2">(UTC+02:00) Eastern European, Central African</asp:ListItem>
                            <asp:ListItem Value="3">(UTC+03:00) Moscow, Eastern African</asp:ListItem>
                            <asp:ListItem Value="3.5">(UTC+03:30) Iran</asp:ListItem>
                            <asp:ListItem Value="4">(UTC+04:00) Gulf, Samara</asp:ListItem>
                            <asp:ListItem Value="4.5">(UTC+04:30) Afganistan</asp:ListItem>
                            <asp:ListItem Value="5">(UTC+05:00) Pakistan, Yekaterinburg</asp:ListItem>
                            <asp:ListItem Value="5.5">(UTC+05:30) India, Sri Lanka</asp:ListItem>
                            <asp:ListItem Value="5.75">(UTC+05:45) Nepal</asp:ListItem>
                            <asp:ListItem Value="6">(UTC+06:00) Bangladesh, Bhutan, Novosibirsk</asp:ListItem>
                            <asp:ListItem Value="6.5">(UTC+06:30) Cocos Islands, Myanmar</asp:ListItem>
                            <asp:ListItem Value="7">(UTC+07:00) Indochina, Krasnoyarsk</asp:ListItem>
                            <asp:ListItem Value="8">(UTC+08:00) Greater China, Australian Western, Irkutsk</asp:ListItem>
                            <asp:ListItem Value="8.75">(UTC+08:45) Southeastern Western Australia</asp:ListItem>
                            <asp:ListItem Value="9">(UTC+09:00) Japan, Corea, Chita</asp:ListItem>
                            <asp:ListItem Value="9.5">(UTC+09:30) Australian Central</asp:ListItem>
                            <asp:ListItem Value="10">(UTC+10:00) Australian Eastern, Vladivostok</asp:ListItem>
                            <asp:ListItem Value="10.5">(UTC+10:30) Lord Howe</asp:ListItem>
                            <asp:ListItem Value="11">(UTC+11:00) Solomon Island, Magadan</asp:ListItem>
                            <asp:ListItem Value="11.5">(UTC+11:30) Norflok Island</asp:ListItem>
                            <asp:ListItem Value="12">(UTC+12:00) New Zeland, Fiji, Kamchatka</asp:ListItem>
                            <asp:ListItem Value="12.75">(UTC+12:45) Chatham Islands</asp:ListItem>
                            <asp:ListItem Value="13">(UTC+13:00) Tonga, Phoenix Islands</asp:ListItem>
                            <asp:ListItem Value="14">(UTC+14:00) Line Islands</asp:ListItem>
                        </asp:DropDownList></span>
				</div>
			</div>
			<div class="sf-set">
				<div class="sf-box text">
					<label><span>Date Format</span></label><br />
					<span class="fld-input"><asp:DropDownList ID="DateFormat" runat="server" 
                            Height="22px" Width="145px">
                            <asp:ListItem Value="MM/dd/yyyy">MM/dd/yyyy
                            </asp:ListItem>
                            <asp:ListItem>dd/MM/yyyy</asp:ListItem>
                            <asp:ListItem>dd:MM:yyyy</asp:ListItem>
                        </asp:DropDownList></span><br />
				</div>
			</div>
			<div class="sf-set">
				<div class="sf-box text">
					<label><span>Time Format</span></label><br />
					<span class="fld-input"><asp:DropDownList ID="TimeFormat" runat="server" 
                            Height="22px" Width="145px">
                            <asp:ListItem>hh:mm:ss</asp:ListItem>
                            <asp:ListItem>hh:mm</asp:ListItem>
                            <asp:ListItem>hh/mm</asp:ListItem>
                        </asp:DropDownList></span><br />
				</div>
			</div>

		</fieldset>
		<fieldset class="frm-group">
			<div class="sf-set">
			    <div class="sf-box text">
					<label ><span>Language</span></label><br />
					<span class="fld-input">
					<span class="fld-input">
					<asp:DropDownList ID="Languages" runat="server" Width="145px">
					</asp:DropDownList>
					</span><br />
				</div>
		    </div>
		    </span>
		</fieldset>
		
		<div class="frm-buttons">
			<span class="submit"><asp:Button ID="btnUpdate" runat="server" 
                Text="<%$Resources: ProfileResource, Update%>" onclick="btnUpdate_Click" ValidationGroup="IdentityValidation" /></span>
		</div>
		</div>
</asp:Content>