﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page Language="C#" MasterPageFile="~/ProfileMasterPage.master" AutoEventWireup="true" CodeFile="UserProfilePassword.aspx.cs" Inherits="PunBB.UserProfilePassword" Title="Untitled Page" EnableEventValidation="false"%>


<asp:Content ID="Content" ContentPlaceHolderID="PageContent" Runat="Server">
    <asp:ChangePassword ID="ChangePassword" runat="server" 
        ContinueDestinationPageUrl="~/UserProfile.aspx">
     <ChangePasswordTemplate> 
                                          
            <asp:CompareValidator ID="NewPasswordCompare" runat="server" 
            ControlToCompare="NewPassword" ControlToValidate="ConfirmNewPassword" 
            Display="Dynamic" 
            ErrorMessage="<%$Resources: ProfileResource, ErrPasswdMismatch%>" 
            ValidationGroup="ChangePassword" class=" ct-box error-box"></asp:CompareValidator>
            <asp:Literal ID="FailureText" runat="server" EnableViewState="False" ></asp:Literal>          
     
                                 
    <div class="frm-form" >
        <fieldset class="frm-group group1">
                <div class="sf-set set1">
				    <div class="sf-box text required">
                        <label for="fld1"><span><asp:Literal ID="ltrNewPass" Text="<%$Resources: ProfileResource, Password %>" runat="server"/><em><asp:Literal ID="ltrReq1" Text="<%$Resources: ProfileResource, Required %>" runat="server"/></em></span> <small> <asp:Literal ID="ltrInfo" Text="<%$Resources: ProfileResource, CaseSensitive %>" runat="server"/></small></label><br/>
                        <span class="fld-input"><asp:TextBox ID="CurrentPassword" runat="server" size="35" TextMode="Password"></asp:TextBox>
                        <asp:RequiredFieldValidator ID="CurrentPasswordRequired" runat="server" 
                        ControlToValidate="CurrentPassword" ErrorMessage="Password is required." 
                        ToolTip="Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator></span><br/>
                    </div>
                </div>
                
                <div class="sf-set set2">
				<div class="sf-box text required">
                    <label for="fld2"><span><asp:Literal ID="Literal3" Text="<%$Resources: ProfileResource, NewPassword %>" runat="server"/><em><asp:Literal ID="Literal4" Text="<%$Resources: ProfileResource, Required %>" runat="server"/></em></span> <small> <asp:Literal ID="Literal5" Text="<%$Resources: ProfileResource, CaseSensitive %>" runat="server"/></small></label><br/>
                    <span class="fld-input"><asp:TextBox ID="NewPassword" runat="server" size="35" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="NewPasswordRequired" runat="server" 
                    ControlToValidate="NewPassword" ErrorMessage="New Password is required." 
                    ToolTip="New Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator></span><br/>
                </div>
                </div>

                <div class="sf-set set3">
				<div class="sf-box text required">
                    <label for="fld3"><span><asp:Literal ID="Literal6" Text="<%$Resources: ProfileResource, ConfNewPassword %>" runat="server"/><em><asp:Literal ID="Literal7" Text="<%$Resources: ProfileResource, Required %>" runat="server"/></em></span> <small> <asp:Literal ID="Literal8" Text="<%$Resources: ProfileResource, ReenterPasswd %>" runat="server"/></small></label><br/>
                    <span class="fld-input"><asp:TextBox ID="ConfirmNewPassword" runat="server" size="35" TextMode="Password"></asp:TextBox>
                    <asp:RequiredFieldValidator ID="ConfirmNewPasswordRequired" runat="server" 
                    ControlToValidate="ConfirmNewPassword" 
                    ErrorMessage="Confirm New Password is required." 
                    ToolTip="Confirm New Password is required." ValidationGroup="ChangePassword1">*</asp:RequiredFieldValidator></span><br/>
                </div>
                </div>
        </fieldset>
   
        <div class="frm-buttons">
            <span class="submit"><asp:Button ID="ChangePasswordPushButton" runat="server" 
            CommandName="ChangePassword" Text="<%$Resources: ProfileResource, Submit %>" 
            ValidationGroup="ChangePassword1" /></span>

            <span class="cancel"><asp:Button ID="CancelPushButton" runat="server" CausesValidation="False" 
            CommandName="Cancel" Text="<%$Resources: ProfileResource, Cancel %>" /></span>
       </div>
 </div>
 
 </ChangePasswordTemplate>
     <SuccessTemplate>
         <table border="0" cellpadding="1" cellspacing="0" 
             style="border-collapse:collapse;">
             <tr>
                 <td>
                     <table border="0" cellpadding="0">
                         <tr>
                             <td align="center" colspan="2">
                                 <asp:Literal ID="Literal6" Text="<%$Resources: ProfileResource, ChangeComplete %>" runat="server"/></td>
                         </tr>
                         <tr>
                             <td>
                                 <asp:Literal ID="Literal1" Text="<%$Resources: ProfileResource, Success %>" runat="server"/></td>
                         </tr>
                         <tr>
                             <td align="right" colspan="2">
                                 <asp:Button ID="ContinuePushButton" runat="server" CausesValidation="False" 
                                     CommandName="Continue" Text="<%$Resources: ProfileResource, Continue %>" />
                             </td>
                         </tr>
                     </table>
                 </td>
             </tr>
         </table>
     </SuccessTemplate>
</asp:ChangePassword>	
</asp:Content>


