﻿<%--
Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3
--%>
<%@ Page Language="C#" MasterPageFile="~/Administrator/AdminMasterPage.master" AutoEventWireup="true" CodeFile="UserAdministration.aspx.cs" Inherits="PunBB.Administrator_UserAdministration" Title="" %>

<asp:Content ID="ContentPlaceHolder" ContentPlaceHolderID="PageContent" Runat="Server">
     	    <asp:Literal ID="ErrorBox" runat="server" Text="" />
	        <div class="main-subhead">
		        <h2 class="hn"><span><asp:Literal ID="Literal2" runat= "server"  Text ="<%$Resources: UserAdministration, CreateUser %>" /></span></h2>
	        </div>
	        <div class="main-content main-frm">
		    <div class="frm-form" >
	        <fieldset class="frm-group group1">
                <div class="sf-set">
	                <div class="sf-box select">
	                    <label><span><asp:Literal runat="server" ID="UserName" Text="<%$ Resources: UserAdministration, Username %>" /></span></label>
                        <br />
                        <span class="fld-input">
                            <asp:TextBox ID="txtUserName" runat="server"/>
                            <asp:RequiredFieldValidator ControlToValidate="txtUserName" ID="UserNameValidator" runat="server" ErrorMessage="*" ValidationGroup="CreateUser"/>
                        </span>
                    </div>
                </div>
            </fieldset>    
            <fieldset class="frm-group">
                <div class="sf-set">
	                <div class="sf-box select">
	                    <label><span><asp:Literal runat="server" ID="Password1" Text="<%$ Resources: UserAdministration, Password %>" /></span></label>
                        <br />
                        <span class="fld-input">
                            <asp:TextBox TextMode="Password" ID="txtUserPassword1" runat="server"/>
                            <asp:RequiredFieldValidator ID="PasswordValidator1" ControlToValidate="txtUserPassword1" runat="server" ErrorMessage="*" ValidationGroup="CreateUser"/>
                        </span>
                    </div>
                </div>
            </fieldset>
            <fieldset class="frm-group">
                <div class="sf-set">
	                <div class="sf-box select">
	                    <label><span><asp:Literal runat="server" ID="Password2" Text="<%$ Resources: UserAdministration, Password %>" /></span></label>
                        <br />
                        <span class="fld-input">
                            <asp:TextBox TextMode="Password" ID="txtUserPassword2" runat="server"/>
                            <asp:RequiredFieldValidator ID="RequiredFieldValidator2" ControlToValidate="txtUserPassword2" runat="server" ErrorMessage="*" ValidationGroup="CreateUser"/>
                            <asp:CompareValidator ControlToValidate="txtUserPassword1" ControlToCompare="txtUserPassword2" ID="PasswordCompare" runat="server" ErrorMessage="<%$ Resources: UserAdministration, PasswordCompare %>" ValidationGroup="CreateUser"/>
                        </span>
                    </div>
                </div>
            </fieldset>
            <fieldset class="frm-group">
                <div class="sf-set">
	                <div class="sf-box select">
	                    <label><span><asp:Literal runat="server" ID="Email" Text="<%$ Resources: UserAdministration, Email %>" /></span></label>
                        <br />
                        <span class="fld-input">
                            <asp:TextBox ID="txtUserEmail" runat="server"/>
                            <asp:RequiredFieldValidator ID="EmailValidator" ControlToValidate="txtUserEmail" runat="server" ErrorMessage="*" ValidationGroup="CreateUser" />
                            <asp:RegularExpressionValidator ID="RegularEmailValidator" ControlToValidate="txtUserEmail" runat="server" ValidationExpression="\w+([-+.']\w+)*@\w+([-.]\w+)*\.\w+([-.]\w+)*"  ErrorMessage="<%$ Resources: UserAdministration, InvalidEmail %>" ValidationGroup="CreateUser" />
                        </span> 
                    </div>
                </div>
            </fieldset>
            <br />
            <div class="frm-buttons">
                <asp:Button ID="btnCreateUser" runat="server" Text="<%$ Resources: UserAdministration, Create %>" ValidationGroup="CreateUser" onclick="btnCreateUser_Click" />
            </div>
        </div>
        </div>
        
        <div class="main-subhead">
		    <h2 class="hn"><span><asp:Literal ID="Literal1" runat= "server"  Text ="<%$Resources: UserAdministration,DeleteUser %>" /></span></h2>
	    </div>
        <div class="main-content main-frm">
		    <div class="frm-form" >
		    <div class="frm-form">
	            <fieldset class="frm-group group1">
                    <div class="sf-set">
                        <div class="sf-box select">
                            <label><span><asp:Literal runat="server" ID="UserName1" Text="<%$ Resources: UserAdministration, Username %>" /></span></label>
                            <br />
                            <span class="fld-input">
                                <asp:TextBox ID="txtDeleteUser" runat="server"/>
                                <asp:RequiredFieldValidator ControlToValidate="txtDeleteUser" ID="RequiredFieldValidator1" runat="server" ErrorMessage="*" ValidationGroup="DeleteUser"/>
                            </span>
                        </div>
                    </div>                            
                </fieldset>
                <br />
                <div class="frm-buttons">
                    <asp:Button ID="btnDeleteUser" runat="server" Text="<%$ Resources: UserAdministration, Delete %>" onclick="btnDeleteUser_Click" ValidationGroup="DeleteUser"/>
                </div>
            </div>
            </div>
        </div>
</asp:Content>

