﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>

<%@ Page EnableEventValidation="false" Title="" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="Login.aspx.cs" Inherits="PunBB.Login" %>

<asp:Content ID="ContentPlaceHolder" ContentPlaceHolderID="Content" Runat="Server" >
   <div class="main-content main-frm">
      <form id="afocus" class="frm-form" method="post" accept-charset="utf-8">
	  <asp:Login ID="PunLogin" runat="server" CssClass="brd_ctrl" >
         <LayoutTemplate>
             <div class="main-head">
		        <h2 class="hn"><span><asp:Literal ID="Literal4" runat="server" Text="<%$Resources: LoginResource, LoginButtonText%>" /></span></h2>
	         </div>
	         <div class="frm-group group1">
	         	<div class="sf-set set1">
					<div class="sf-box text required">
						<label for="fld1"><span><asp:Literal ID="Literal1" runat="server" Text="<%$Resources: LoginResource, UserNameLabelText%>" /></span></label><br />
						<span class="fld-input"><asp:TextBox ID="UserName" runat="server"></asp:TextBox></span>
                        <asp:RequiredFieldValidator ID="UserNameRequired" runat="server" 
                                        ControlToValidate="UserName" ErrorMessage="<%$Resources: LoginResource, UserNameRequiredError%>" 
                                        ToolTip="User Name is required." ValidationGroup="PunLogin">*</asp:RequiredFieldValidator>
					</div>
				</div>
				<div class="sf-set set2">
					<div class="sf-box text required">
						<label for="fld2"><span><asp:Literal ID="Literal2" runat="server" Text="<%$Resources: LoginResource, PasswordLabelText%>" /></span></label><br />
						<span class="fld-input"><asp:TextBox ID="Password" runat="server" TextMode="Password"></asp:TextBox></span>
						<asp:RequiredFieldValidator ID="PasswordRequired" runat="server" 
                                        ControlToValidate="Password" ErrorMessage="<%$Resources: LoginResource, PasswordRequiredError%>" 
                                        ToolTip="Password is required." ValidationGroup="PunLogin">*</asp:RequiredFieldValidator>
					</div>
				</div>
				<div class="sf-set set3">
					<div class="sf-box checkbox">
						<span class="fld-input"> <asp:CheckBox ID="RememberMe" runat="server"  /></span>
						<label for="fld3"><span><asp:Literal ID="Literal3" runat="server" Text="<%$Resources: LoginResource, RememberMeText%>" /></span> </label>
					</div>
				</div>

                <asp:Literal ID="FailureText" runat="server" EnableViewState="False"></asp:Literal>
                </div>
                <div class="frm-buttons">
                    <asp:Button ID="LoginButton" runat="server" CommandName="Login" Text="<%$Resources: LoginResource, LoginButtonText%>" ValidationGroup="PunLogin" />
                </div>
    
         </LayoutTemplate>
        </asp:Login>
    
    </form>
   </div>
</asp:Content>
