﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>
<%@ Page Title="" Language="C#" MasterPageFile="~/ProfileMasterPage.master" AutoEventWireup="true" CodeFile="UserProfileInfo.aspx.cs" Inherits="PunBB.UserProfileInfo" %>

<asp:Content ID="ContentPlaceHolder" ContentPlaceHolderID="PageContent" Runat="Server">
	<div class="profile ct-group data-group vcard">
		<div class="ct-set data-set set1">
			<div class="ct-box data-box">
				<ul class="user-ident ct-legend">
					<li class="username fn nickname"><strong><asp:Literal ID="UserName" runat="server" /></strong></li>
					<li class="usertitle"><span><asp:Literal ID="UserTitle" runat="server" /></span></li>					</ul>
				<ul class="data-list">
					<li ID="FromField" runat="server"><span><asp:Literal ID="FromTitel" runat="server" Text="<%$Resources: ProfileResource, From%>" /> : <strong><asp:Literal ID="From" runat="server" /></strong></span></li>
					<li ID="RegisteredField" runat="server"><span><asp:Literal ID="RegisteredTitle" runat="server" Text="<%$Resources: ProfileResource, Registered%>" />: <strong><asp:Literal ID="Registered" runat="server" /></strong></span></li>
					<li ID="PostsField" runat="server"><span><asp:Literal ID="PostsTitle" runat="server" Text="<%$Resources: ProfileResource, Posts%>" /> : <strong><asp:Literal ID="Posts" runat="server" /></strong></span></li>
				</ul>
			</div>
		</div>
		<div class="ct-set data-set set2">
			<div class="ct-box data-box">
				<h4 class="ct-legend hn"><span><asp:Literal ID="ContactInfo" runat="server" Text="<%$Resources: ProfileResource, ContactInformation%>" /></span></h4>
				<ul class="data-box">
					<li ID="WebsiteField" runat="server"><span><asp:Literal ID="WebsiteTitle" runat="server" Text="<%$Resources: ProfileResource, Website%>" />: <asp:HyperLink ID="WebsiteLink" runat="server" CssClass="external url" Text="" /></span></li>
				</ul>
			</div>
		</div>
		<div runat=server ID="PostsTopicsGroup" class="ct-set data-set set3">
			<div class="ct-box data-box">
				<h4 class="ct-legend hn"><span><asp:Literal ID="PostsAndTopics" runat="server" Text="<%$Resources: ProfileResource, PostsAndTopics%>" /></span></h4>
				<ul class="data-box">
					<li class="first-item"><asp:HyperLink ID="ViewAllPosts" runat="server" Text="" /></li>
					<li><asp:HyperLink ID="ViewAllTopics" runat="server" Text="" /></li>
					<li><asp:HyperLink ID="ViewAllSubscription" runat="server" Text="" /></li>
			    </ul>
			</div>
		</div>
		<div id="private-profile" class="ct-set data-set set4">
			<div class="ct-box data-box">
				<h3 class="ct-legend hn"><span><asp:Literal ID="PrivateInfo" runat="server" Text="<%$Resources: ProfileResource, PrivateInformation%>" /></span></h3>
				<ul class="data-list">
					<li><span><asp:Literal ID="EmailToTitle" runat="server" Text="<%$Resources: ProfileResource, EmailTo%>" /> : <asp:HyperLink ID="EmailTo" CssClass="email" runat="server" Text="" /></span></li>
				</ul>
			</div>
		</div>
	</div>
</asp:Content>

