﻿<%-- Copyright (C) 2009 PunBB
http://www.gnu.org/licenses/gpl.html GPL version 3 --%>


<%@ Page Title="" EnableEventValidation="false" Language="C#" MasterPageFile="~/MasterPage.master" AutoEventWireup="true" CodeFile="ViewTopic.aspx.cs" Inherits="PunBB.ViewTopic" %>
<%@ Register Namespace="PunBB" TagPrefix="pun" %>


<asp:Content ID="Content" ContentPlaceHolderID="Content" Runat="Server">

<div id="brd-main">
    <h1 class="main-title">
    </h1>

	<div id="brd-crumbs-top" class="crumbs gen-content">
	</div>
	
    <%--<asp:LoginView ID="LoginViewReplyTop" runat="server">
        <LoggedInTemplate>
            <div id="brd-pagepost-top" class="main-pagepost gen-content">
                <p class="paging"><span class="pages"> <% Response.Write(Resources.ViewTopicResource.Pages); %> </span>
                    
                </p>
                <p class="posting">
                    <asp:HyperLink ID="ReplyLink" CssClass="newpost" runat="server"
                        Text="<%$ Resources: PostResource, PostNewReply %>" />
                </p>
            </div>
        </LoggedInTemplate>
        <AnonymousTemplate>
            <div id="brd-pagepost-top" class="main-pagepost gen-content">
                <p class="paging"><span class="pages"> <% Response.Write(Resources.ViewTopicResource.Pages); %> </span></p>
                    
                <p class="posting">
                    <% Response.Write(Resources.ViewTopicResource.LoginToPost); %>    
                </p>
            </div>
        </AnonymousTemplate>
    </asp:LoginView>--%>


    <div class="main-head">
		<p class="options"><span class="feed first-item"></span></p>
		<h2 class="hn"><span><span class="item-info"> <% Response.Write(Resources.ViewTopicResource.Posts); %> </span></span></h2>
	</div>
	
	<div class="main-topic">
        <asp:SqlDataSource ID="DataSource" runat="server" 
            ProviderName="System.Data.Odbc"></asp:SqlDataSource>
        <pun:PunGridView ID="lstPosts" runat="server" AllowPaging="True" 
                AllowSorting="True" DataSourceID="DataSource" PageSize="15" 
                AutoGenerateColumns="False">
                <PagerSettings Position="TopAndBottom" />
                <Columns>
                    <asp:TemplateField SortExpression="UserName">
                        <ItemTemplate>
                            <asp:HiddenField ID="PostId" runat="server" Value='<%# Eval("Pid") %>' />
            <div class="post odd firstpost topicpost">
		        <div class="posthead">
				    <h3 class="hn">
					    
					    <span class="post-byline">
						    <asp:HyperLink ID="HyperLink1" runat="server" NavigateUrl='<%#"UserProfile.aspx?UserName=" + Eval("UserName")%>' Text='<%# Eval("UserName")%>' />
					    </span>
					    <span class="post-link">
					        <asp:HyperLink ID="PostBookmark" name='<%# Eval("Pid")%>' runat="server" NavigateUrl='<%#"ViewTopic.aspx?Topic=" + Eval("Topic") + "#" + Eval("Pid") %>' Text='<%# Eval("Posted") %>' />
					    </span>
				    </h3>
			    </div>
			    <div class="postbody">
				    <div class="post-author">
					    <ul class="author-ident">
						    <li class="username"><a href="http://punbb.informer.com/forums"><asp:Literal ID="UserName" runat="server" Text='<%# Eval("UserName")%>' /></a></li>
						    <li class="usertitle"><span><asp:Literal ID="UserTitle" runat="server" Text='<%# Eval("Comment") %>' /></span></li>
					    </ul>
					    <ul class="author-info">
						    <li><span> <% Response.Write(Resources.ViewTopicResource.Registered); %> : <strong><asp:Literal ID="UserRegistered" runat="server" Text='<%# Eval("CreationDate") %>' /></strong></span></li>
					    </ul>
				    </div>
				    <div class="">
					    <h4 class="entry-title hn">Re: </h4>
					    <div class="entry-content">
						    <asp:Literal ID="UserMessageS" runat="server" Text='<%# Eval("Message") %>' />
					    </div>
				    </div>
			    </div>
			    <div class="postfoot">
				    <div class="post-options">
    				    <p class="post-contacts"><span class="user-url"></span></p>
                        <p class="post-actions"><asp:Label runat="server" ID="PostActions" Text="" ></asp:Label>
                        <asp:Button runat="server" CommandArgument='<%# Eval("Pid") %>' ID="PostDelete" Text="Delete" Visible="false" OnClick="PostDelete" />
                        </p>
				    </div>
			    </div>
		    </div>
            </ItemTemplate>
        </asp:TemplateField>
    </Columns>
    </pun:PunGridView>
   
    <div  class="main-foot">
            <p class="options"><span class="mod-option">
                <asp:HyperLink ID="hlDeleteTopic" class ="mod-option" runat="server" NavigateUrl="~/DeleteTopic.aspx"> <% Response.Write(Resources.ViewTopicResource.DeleteTopic); %></asp:HyperLink></span></p>
            <h2 class="hn"><span><span class="item-info"> <% Response.Write(Resources.ViewTopicResource.Posts); %> </span></span></h2>
	</div>

   <asp:LoginView ID="LoginViewReplyBottom" runat="server">
    <LoggedInTemplate>
        <div id="brd-pagepost-bottom" class="main-pagepost gen-content">
            <%--<p class="paging"><span class="pages"> <% Response.Write(Resources.ViewTopicResource.Pages); %> </span></p>--%>
            <p class="posting"><asp:HyperLink ID="ReplyLink" CssClass="newpost" runat="server" Text="<%$ Resources: PostResource, PostNewReply %>" /></p>
        </div>
    </LoggedInTemplate>
    <AnonymousTemplate>
        <div id="brd-pagepost-bottom" class="main-pagepost gen-content">
            <p class="paging"><span class="pages"> <%--<% Response.Write(Resources.ViewTopicResource.Pages); %>--%> </span></p>
            <p class="posting">
                <% Response.Write(Resources.ViewTopicResource.LoginToPost); %>    
            </p>
        </div>
    </AnonymousTemplate>
</asp:LoginView>
</div>
</div>
</asp:Content>


